
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[python] lantern访问中文维基百科及selenium爬取维基百科语料 / iVAN</title>

    <meta name="description" content="[python] lantern访问中文维基百科及selenium爬取维基百科语料 希望文章对你有所帮助,尤其是web爬虫初学者和NLP相关同学.当然你也能,懂的~ 目录: 0 前言 1 lantern访问中文维基百科 2 Selenium调用Chrome自动访问维基百科 3 Selenium爬取维基百科信息 代码及软件下载地址:http://download.csdn.net/detail/eastmount/9422875 0 前言 在对海量知识挖掘和自然语言处理(Natural Language Processing,简称NLP)中会大量涉及到三大百科的语料问题,尤其是中">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[python] lantern访问中文维基百科及selenium爬取维基百科语料</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>希望文章对你有所帮助，尤其是web爬虫初学者和NLP相关同学。当然你也能，懂的~<br />
目录：</p>
<ul>
<li>0 前言</li>
<li>1 lantern访问中文维基百科</li>
<li>2 Selenium调用Chrome自动访问维基百科</li>
<li>3 Selenium爬取维基百科信息</li>
</ul>
<p>代码及软件下载地址：<br /><a href="http://download.csdn.net/detail/eastmount/9422875" rel="external nofollow noreferrer">http://download.csdn.net/detail/eastmount/9422875</a></p>
<h2>0 前言</h2>
<p>在对海量知识挖掘和自然语言处理（Natural Language Processing，简称NLP）中会大量涉及到三大百科的语料问题，尤其是中文汉字语料问题，包括：百度百科、互动百科和维基百科。其应用涉及命名实体（Named Entity，简称NE）消歧、实体对齐、双语机器翻译、推荐系统、情感分析、知识图谱等领域。</p>
<p>其中三大百科准确率方面是维基百科&gt;互动百科&gt;百度百科；中文涉及实体内容是百度百科&gt;互动百科&gt;维基百科。如下图所示，维基百科Wikipedia页面通常包括：Title（标题）、Description（摘要描述）、InfoBox（消息盒）、Categories(实体类别)、Crosslingual<br />
 Links(跨语言链接)等。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA2MjkwMzU2MTgzMDk=.jpg"></p>
<p>前面我讲述了很多关于Python和Selenium爬取<a href="http://blog.csdn.net/eastmount/article/details/48234733" rel="external nofollow noreferrer">百度百科InfoBox</a>、<a href="http://blog.csdn.net/eastmount/article/details/50191629" rel="external nofollow noreferrer">生物医疗PubMed</a>、<a href="http://blog.csdn.net/eastmount/article/details/49393483" rel="external nofollow noreferrer">虎扑图片</a>的例子，虽然效率不高，但是勉强能够进行。同样你可以通过Selenium爬取自己实验的语料，设置不同的主题，再进行文本聚类、LDA主题分布、实体消歧等。<br /><strong><br />
但问题来了：中文维基百科总是被屏蔽，第一个问题就是如何访问中文维基百科呢？</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNjU4NDQzNDA=.jpg"></p>
<h2>1 lantern访问中文维基百科</h2>
<p>官文网址：<a href="https://www.getlantern.org/" rel="external nofollow noreferrer">https://www.getlantern.org/</a><br />
参考文章：<a href="http://www.iyaxi.com/2015-11-17/732.html" rel="external nofollow noreferrer">http://www.iyaxi.com/2015-11-17/732.html</a><br />
下载地址：<a href="http://pan.baidu.com/s/1hrgqgGc" rel="external nofollow noreferrer">http://pan.baidu.com/s/1hrgqgGc</a></p>
<p>Lantern：一款免费强大的帆樯软件，译为“灯笼”。点击exe即可运行，非常巧小的一款软件；据说是google公司推出的，但确实良心制作。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzEzNDE1NTQ=.jpg"></p>
<p>安装运行后，会跳出如下页面：<a href="http://127.0.0.1:16823/" rel="external nofollow noreferrer">http://127.0.0.1:16823/</a></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzE3NTAyOTM=.jpg"></p>
<p>同时你可以访问YouTube和维基百科了，就是这么简单~</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzE5MjgzNjM=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzIwMjgzMTI=.jpg"></p>
<h2>2 Selenium调用chrome自动访问维基百科</h2>
<p>Selenium调用Firefox浏览器直接设置代码"driver = webdriver.Firefox()"即可，但是调用Chrome需要下载chromedriver.exe驱动。同时放置于Chrome安装目录下：<br />
参考：<a href="http://download.csdn.net/download/qianaier/7966945" rel="external nofollow noreferrer">http://download.csdn.net/download/qianaier/7966945</a></p>
<p>我的目录：C:\Program Files (x86)\Google\Chrome\Application，如果你报错：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzM1MTAzOTM=.jpg"></p>
<p>同时添加该路径到环境变量path中：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzM0MzYyNTI=.jpg"></p>
<p>下面简单四句代码即可调用浏览器自动访问维基百科页面：
<pre>from selenium import webdriver
driver = webdriver.Chrome()
url_path = "https://zh.wikipedia.org/"
driver.get(url_path)</pre>
<h2>3 Selenium爬取维基百科内容</h2>
<p>爬取的方法与前面百度百科的方法类似，现在txt中定义实体名称，即需要爬取的网页名称，再去到具体页面爬取内容。这里需要讲述一个方法：<br />
                                           <strong>https://zh.wikipedia.org/wiki/阿富汗</strong><br />
可以访问中国页面，同样该方法适用于互动百科，即：url+文件中读取实体名称</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwNzQ2NTMzOTI=.jpg"></p>
<p>当然百度百科，你只需要获取输入框的按钮信息，然后输入读取文件名称，自动回车或点击即可。其中你可能会遇到一些存在歧义的页面，再处理下即可。同时维基百科和互动百科中存在分类页面，归纳了自己想要的内容，也比较方便。</p>
<p>最后是代码及运行结果：
<pre># coding=utf-8
"""
Created on 2016-01-30 @author: Eastmount
"""  

import time
import re
import os
import sys
import codecs
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import selenium.webdriver.support.ui as ui
from selenium.webdriver.common.action_chains import ActionChains  

driver = webdriver.Chrome()
wait = ui.WebDriverWait(driver,10)

#Get the infobox
def getInfobox(name, fileName):
    try:
        print u'文件名称: ', fileName
        info = codecs.open(fileName, 'w', 'utf-8')
        print name.rstrip('\n')
        driver.get("https://zh.wikipedia.org/wiki/"+name)
        info.write(name.rstrip('\n')+'\r\n')  #codecs不支持'\n'换行
        #print driver.current_url

        #爬取文本信息 共10段信息
        elem_value = driver.find_elements_by_xpath("//div[@id='mw-content-text']/p")
        num = 0
        for value in elem_value:
            print value.text
            info.writelines(value.text + '\r\n')
            if num&gt;=9:
                break
            num+=1
        time.sleep(1)  

    except Exception,e:  #'utf8' codec can't decode byte
        print "Error: ",e
    finally:
        print '\n'
        info.close()

#Main function
def main():
    #By function get information
    path = "WikipediaSpiderSpots\\"
    if os.path.isdir(path):
        shutil.rmtree(path, True)
    os.makedirs(path)
    source = open("Tourist_country_5A_Wiki.txt", 'r')
    num = 1
    for entityName in source:
        entityName = unicode(entityName, "utf-8")
        if u'阿富汗' in entityName:
            entityName = u'阿富汗'
        name = "%04d" % num
        fileName = path + str(name) + ".txt"
        getInfobox(entityName, fileName)
        num = num + 1
    print 'End Read Files!'
    source.close()
    driver.close()  

if __name__ == '__main__':
    main()
</pre>
<p>运行结果如下图，共爬取了每个实体的10段信息，而百度摘要会有id，可只爬取摘要。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwODI2MjgzNDI=.jpg"></p>
<p>同样，你也可以通过下面这部分代码爬取InfoBox信息，首先给出html源码标签：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwODI3NDY2MzQ=.jpg"></p>
<p>核心代码：<br /><strong>elem_value = driver.find_elements_by_xpath("//table[@class='infobox']")</strong><br />
具体代码如下：
<pre># coding=utf-8
"""
Created on 2016-01-30 @author: Eastmount
"""  

import time
import re
import os
import sys
import codecs
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import selenium.webdriver.support.ui as ui
from selenium.webdriver.common.action_chains import ActionChains  

driver = webdriver.Chrome()
wait = ui.WebDriverWait(driver,10)

#Get the infobox
def getInfobox(name, fileName):
    try:
        print u'文件名称: ', fileName
        info = codecs.open(fileName, 'w', 'utf-8')
        print name.rstrip('\n')
        driver.get("https://zh.wikipedia.org/wiki/"+name)
        info.write(name.rstrip('\n')+'\r\n')  #codecs不支持'\n'换行
        #print driver.current_url

        #爬取文本信息 共10段信息
        elem_value = driver.find_elements_by_xpath("//table[@class='infobox']")
        for value in elem_value:
            print value.text
            info.writelines(value.text + '\r\n')
        time.sleep(1)  

    except Exception,e:  #'utf8' codec can't decode byte
        print "Error: ",e
    finally:
        print '\n'
        info.close()

#Main function
def main():
    #By function get information
    path = "WikipediaSpiderSpots\\"
    if os.path.isdir(path):
        shutil.rmtree(path, True)
    os.makedirs(path)
    source = open("Tourist_country_5A_Wiki.txt", 'r')
    num = 1
    for entityName in source:
        entityName = unicode(entityName, "utf-8")
        if u'阿富汗' in entityName:
            entityName = u'阿富汗'
        name = "%04d" % num
        fileName = path + str(name) + ".txt"
        getInfobox(entityName, fileName)
        num = num + 1
    print 'End Read Files!'
    source.close()
    driver.close()  

if __name__ == '__main__':
    main()
</pre>
<p>运行结果如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMzAwODQyMTQ1MDY=.jpg"></p>
<p>最后希望文章对你有所帮助，还是那句话：如果刚好你遇到这个问题，就会受益匪浅；否则感觉没什么技术含量，不过确实也挺简单的，但是灯笼还是非常强大的。一月份终于要结束了，不知道多少个熬夜到早上10点，回家好好享受下生活吧~<br />(By:Eastmount 2016-01-30 早上8点   <a href="http://blog.csdn.net//eastmount/" rel="external nofollow noreferrer">http://blog.csdn.net//eastmount/</a> )</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 08:45:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[python] lantern访问中文维基百科及selenium爬取维基百科语料的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDW5rXp.html" rel="bookmark">&lbrack;python爬虫&rsqb; Selenium爬取新浪微博内容及用户信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在进行自然语言处理.文本分类聚类.推荐系统.舆情分析等研究中,通常需要使用新浪微博的数据作为语料,这篇文章主要介绍如果使用Python和Selenium爬取自定义新浪微博语料.因为网上完整的语料比较少,而使用Selenium方法有点简单.速度也比较慢,但方法可行,同时能够输入验证码.希望文章对你有所帮助~ 爬取结果 首先可以爬取用户ID.用户名.微博数.粉丝数.关注数及微博信息.其中微博信息包括转发或原创.点赞数.转发数.评论数.发布时间.微博内容等等.如下图所示: 同时也可以爬取微博的众多用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7kmOM.html" rel="bookmark">&lbrack;python学习&rsqb; 简单爬取维基百科程序语言消息盒</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        文章主要讲述如何通过Python爬取维基百科的消息盒(Infobox),主要是通过正则表达式和urllib实现:后面的文章可能会讲述通过BeautifulSoup实现爬取网页知识.由于这方面的文章还是较少,希望提供一些思想和方法对大家有所帮助.如果有错误或不足之处,欢迎之处:如果你只想知道该篇文章最终代码,建议直接阅读第5部分及运行截图. 一. 维基百科和Infobox         你可能会疑惑Infobox究竟是个什么东西呢?下面简单介绍.        维基百科作为目前规			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNdo5p.html" rel="bookmark">教你用python3根据关键词爬取百度百科的内容&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 关于python版本,我一开始看很多资料说python2比较好,因为很多库还不支持3,但是使用到现在为止觉得还是pythin3比较好用,因为编码什么的问题,觉得2还是没有3方便.而且在网上找到的2中的一些资料稍微改一下也还是可以用. 好了,开始说爬百度百科的事. 这里设定的需求是爬取北京地区n个景点的全部信息,n个景点的名称是在文件中给出的.没有用到api,只是单纯的爬网页信息.  1.根据关键字获取url 由于只需要爬取信息,而且不涉及交互,可以使用简单的方法而不需要模拟浏览器. 可以直			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXyrAp.html" rel="bookmark">Node&period;js环境下编写爬虫爬取维基百科内容的实例分享&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本思路思路一(origin:master):从维基百科的某个分类(比如:航空母舰(key))页面开始,找出链接的title属性中包含key(航空母舰)的所有目标,加入到待抓取队列中.这样,抓一个页面的代码及其图片的同时,也获取这个网页上所有与key相关的其它网页的地址,采取一个类广度优先遍历的算法来完成此任务. 思路二(origin:cat):按分类进行抓取.注意到,维基百科上,分类都以Category:开头,由于维基百科有很好的文档结构,很容易从任一个分类,开始,一直把其下的所有分类全都抓取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvn9W1M.html" rel="bookmark">Python爬虫：用BeautifulSoup进行NBA数据爬取</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/Mvn9W1M.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA0MTMxNjM4MzE1MzA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y1hGZk1qVTRNVGs0TWpjPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				爬虫主要就是要过滤掉网页中无用的信息,抓取网页中有用的信息 一般的爬虫架构为: 在python爬虫之前先要对网页的结构知识有一定的了解,如网页的标签,网页的语言等知识,推荐去W3School: W3school链接进行了解 在进行爬虫之前还要有一些工具: 1.首先Python 的开发环境:这里我选择了python2.7,开发的IDE为了安装调试方便选择了用VS2013上的python插件,在VS上进行开发(python程序的调试与c的调试差不多较为熟悉): 2.网页源代码的查看工具:虽然每一个浏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwx4rz.html" rel="bookmark">python自动获取代理列表并通过代理爬取网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本脚本实现了如下功能: 1:自动从某代理网站 获取最新的可用代理信息:IP地址,端口,协议类型(网站对每分钟的调用此书做了限制) 2:自动填充代理信息并进行抓去网站信息 注意:X    代码如下 复制代码 # -*- coding: utf8 -*- ''' '''   import urllib2 import urllib import cookielib import hashlib import re import time import json from pip._vendor.di			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWly77p.html" rel="bookmark">&lbrack;python爬虫&rsqb; Selenium定向爬取虎扑篮球海量精美图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:          作为一名从小就看篮球的球迷,会经常逛虎扑篮球及湿乎乎等论坛,在论坛里面会存在很多精美图片,包括NBA球队.CBA明星.花边新闻.球鞋美女等等,如果一张张右键另存为的话真是手都点疼了.作为程序员还是写个程序来进行吧!         所以我通过Python+Selenium+正则表达式+urllib2进行海量图片爬取.        前面讲过太多Python爬虫相关的文章了,如爬取新浪博客.维基百科Infobox.百度百科.游迅网图片,也包括Selenium安装过程等等,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYGZBb.html" rel="bookmark">&lbrack;python爬虫&rsqb; Selenium定向爬取海量精美图片及搜索引擎杂谈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        我自认为这是自己写过博客中一篇比较优秀的文章,同时也是在深夜凌晨2点满怀着激情和愉悦之心完成的.首先通过这篇文章,你能学到以下几点:        1.可以了解Python简单爬取图片的一些思路和方法         2.学习Selenium自动.测试分析动态网页和正则表达式的区别和共同点         3.了解作者最近学习得比较多的搜索引擎和知识图谱的整体框架         4.同时作者最近找工作,里面的一些杂谈和建议也许对即将成为应届生的你有所帮助         5.当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mywkv8z.html" rel="bookmark">&lbrack;python&rsqb; 常用正则表达式爬取网页信息及分析HTML标签总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要是介绍Python爬取网页信息时,经常使用的正则表达式及方法.它是一篇总结性文章,实用性比较大,主要解决自己遇到的爬虫问题,也希望对你有所帮助~ 当然如果会Selenium基于自动化测试爬虫.BeautifulSoup分析网页DOM节点,这就更方便了,但本文更多的是介绍基于正则的底层爬取分析. 涉及内容如下: 常用正则表达式爬取网页信息及HTML分析总结 1.获取&lt;tr&gt;&lt;/tr&gt;标签之间内容 2.获取&lt;a href..&gt;&lt;/a&gt;超链接之间内容			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLEKLz.html" rel="bookmark" class="title">Display the Time Without the Second</a>
					<div>
						The built in ASP time object returns the time in the format of HH:MM:SS AM/PM (i.e., 11:10:52 AM). O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvByNM.html" rel="bookmark" class="title">Flash AS创作：实时时钟</a>
					<div>
						时钟 这两天做了一个实时的时钟- 发上来和大家分享一下! 点击这里下载源文件 newDate = new Date(); newDate.month = newDate.getMonth()+1; D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKqqyp.html" rel="bookmark" class="title">如何在linux主机和windows主机之间传输文件</a>
					<div>
						首先下载pytty,解压开发现里面有plink.exe pscp.exe psftp.exe putty.exe puttygen.exe puttytel.exe等可执行文件,如果只是想要链接主机做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrjdPp.html" rel="bookmark" class="title">Excel锁定和隐藏公式动画教程</a>
					<div>
						&lt;Excel2003入门动画教程46.Excel锁定和隐藏公式&gt;. 演示动画 操作步骤 在Excel中辛辛苦苦编制的计算公式,通常不希望使用者查看和修改.怎么办呢?利用Excel锁定.隐藏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNErldb.html" rel="bookmark" class="title">如何将360极速浏览器设置为默认浏览器</a>
					<div>
						如果您对我们浏览器的使用情况感到满意,就将它设置为您的默认浏览器吧!这样,您在浏览器之外点击的链接会始终在我们浏览器中打开.点击工具菜单,选择选项,然后点击&quot;基本设置&quot;标签上&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo61DVz.html" rel="bookmark" class="title">用WPS移动版快速修改PPT演示文稿</a>
					<div>
						无论你在办公室还是在商务洽谈场合,使用WPS移动版,在手机或平板上就能播放演示文稿给客户.设想你正赶在见客户的路上,或者很快要上台演讲时,被通知PPT中的某个数字或部分文字需要修改,怎么办?下面阿mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPn4BM.html" rel="bookmark" class="title">使用js实现按钮控制文本框加1减1应用于小时&plus;分钟</a>
					<div>
						 正如标题所言使用js实现按钮控制文本框加1减1,此类主要应用于小时+分钟,下面有个不错的示例,喜欢的朋友可以参考下 time.html代码:  代码如下: &lt;!doctype html&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badadPz.html" rel="bookmark" class="title">javascript&lpar;js&rpar;的小数点乘法除法问题详解</a>
					<div>
						 本篇文章主要是对javascript(js)中的小数点乘法除法问题进行了详细的介绍,需要的朋友可以过来参考下,希望对大家有所帮助 一.用js计算 12.32 * 7  结果是多少?答案:86.240 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z724Yqp.html" rel="bookmark" class="title">去除网盘中的重复文件</a>
					<div>
						  现在很多人喜欢通过网盘来专门的存储一些重要的文件,或者将他人分享的文件转存到自己的网盘里面.但是时间一长难免就会出现,一些不同名称但是内容相同的文件,这样就会占用过多的网盘空间.那么如何快速分析出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr423p.html" rel="bookmark" class="title">Windowsxp系统下管理员账户不见了怎么办</a>
					<div>
						  Windowsxp系统下管理员账户不见了怎么办?正常情况下,我们不仅可以使用管理员账户登录xp系统,还可以直接新建账户进行登录操作.不过,最近有用户发现新建帐户后,原来的管理员帐户就消失了,这该怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24qyop.html" rel="bookmark" class="title">Windowsxp系统更改ip地址后提示需要重启如何解决</a>
					<div>
						  Windowsxp系统更改ip地址后提示需要重启如何解决?我们在使用WindowsXP系统电脑过程中,经常会碰到需要修改IP地址的情况.那么,当修改好ip地址后,遇到需要重启提示时,该怎么办呢?现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxovKOb.html" rel="bookmark" class="title">javascript 常用方法</a>
					<div>
						JavaScript常用方法: (1)startWith js本身没有startWith方法,我进行了如下封装: Js代码   String.prototype.startWith=function  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxAwdb.html" rel="bookmark" class="title">ios中的视图调试（ios8苹果引入了强大的新技术，不可不看）</a>
					<div>
						在ios8以前,我们想要进行ui实时调试,可以依赖的技术手段有:  用xcode启动app,然后点击xcode暂停运行按钮,然后在调试控制台输入下面语句: po [[UIWindow keyWindo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NjWqz.html" rel="bookmark" class="title">C&num;，int转成string，string转成int</a>
					<div>
						1,int转成string用toString 或者Convert.toString()如下  例如:int varInt = 1; string varString = Convert.ToStrin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmk0az.html" rel="bookmark" class="title">php curl 获取远程网站数据</a>
					<div>
						问题描述 php curl 获取远程网站数据 我想通过php语言的 curl远程抓取下面网站查询的数据! 网址是:http://www.taodaxiang.com/credit/index/init ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY22Op.html" rel="bookmark" class="title">通往研发效能之路，云效2&period;0五大新品重磅联合发布</a>
					<div>
						10月14日上午杭州云栖大会研发效能峰会,一站式企业协同研发云云效,进行了全新品牌升级,云效正式进入2.0全新时代. 云效源于阿里巴巴多年先进的管理实践理念(精益创业.看板方法.Scrum.中台战略. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBKVqb.html" rel="bookmark" class="title">HDFS HA&colon; 高可靠性分布式存储系统解决方案的历史演进</a>
					<div>
						1. HDFS 简介     HDFS,为Hadoop这个分布式计算框架提供高性能.高可靠.高可扩展的存储服务.HDFS的系统架构是典型的主/从﻿架构,早期的架构包括一个主节点NameNode和多个从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5ZRlM.html" rel="bookmark" class="title">jQuery UI Dialog 使用详解&lpar;1&sol;2&rpar;</a>
					<div>
						天用到了客户端的对话框,把 jquery ui 中的对话框学习了一下. 准备 jquery 环境 首先,我们创建一个按钮,点击这个按钮的时候,将会弹出一个对话框. 1 &lt;input type=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rQl5p.html" rel="bookmark" class="title">《真人快打：街机合集》将于今年12月12日正式发售</a>
					<div>
						多玩网讯(编译/Drdarknight)今日,一款还未正式公布的&lt;真人快打&gt;游戏出现在了一家英国零售商的网站广告里.这部游戏叫做&lt;真人快打:街机合集&gt;(MortalKombat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYR2Qp.html" rel="bookmark" class="title">由云计算回头看传统互联的发展新模式</a>
					<div>
						严格意义上来说,云计算并不是一个新名词.可以说它既不是一项新技术,也不是一个新概念,甚至于连云计算这个词本身是否恰当也是问题.云的概念绝不仅仅是针对计算而言的,这是IT系统建设领域的一个总体方针和未来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5AlxM.html" rel="bookmark" class="title">微信小视频背后的&OpenCurlyDoubleQuote;大生意&rdquo;</a>
					<div>
						文/郭静 仅仅只是一个移动端的纯聊天工具,是很难产生巨大粘性的,只要有竞品出现,用户很容易就会被吸引过去,当然,足够的用户量级也是移动社交产品的核心竞争力.从用户的角度来看,纯社交属性也太过于单一,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodqPXM.html" rel="bookmark" class="title">合生元官网上的这句广告语让人记忆犹新</a>
					<div>
						&quot;宝宝少生病,妈咪少担心.&quot;合生元官网上的这句广告语让人记忆犹新.然而,连日以来,记者调查发现,合生元这一中国益生菌儿童冲剂生产者,其核心产品--合生元益生菌冲剂(儿童型)批准功效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx096QM.html" rel="bookmark" class="title">担保公司疑似&OpenCurlyDoubleQuote;跑路&rdquo;</a>
					<div>
						继P2P网贷平台出现多起跑路事件之后,担保公司也疑似出现了&quot;跑路&quot;事件.虽然事实证明担保公司只是部分高层&quot;失联&quot;,但其暴露的担保行业与P2P之间存在的风险不容小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xDgdb.html" rel="bookmark" class="title">j2ee中weblogic8的问题？？？？</a>
					<div>
						问题描述 &lt;2010-12-13上午10时37分35秒CST&gt;&lt;Error&gt;&lt;HTTP&gt;&lt;BEA-101163&gt;&lt;Couldnotloaduser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qqq7p.html" rel="bookmark" class="title">Java中instanceof关键字的用法总结&lowbar;java</a>
					<div>
						java 中的instanceof 运算符是用来在运行时指出对象是否是特定类的一个实例.instanceof通过返回一个布尔值来指出,这个对象是否是这个特定类或者是它的子类的一个实例. 用法: res ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk8Gnz.html" rel="bookmark" class="title">加密-linux c语言crypt函数使用</a>
					<div>
						问题描述 linux c语言crypt函数使用 crypt函数可以用来做md5加密么,具体怎么使用 如果不能,我如果想对一个串进行md5加密,应该怎么加密,多谢 解决方案 Linux C语言内联汇编使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q5Aap.html" rel="bookmark" class="title">java企业网站源码&comma;模版&comma;有前后台&comma;springmvcSSM&comma;freemaker</a>
					<div>
						java 企业网站源码 前后台都有 静态模版引擎, 代码生成器大大提高开发效率 点击:获取地址 QQ 313596790 系统介绍: 1.网站后台采用主流的 SSM 框架 jsp JSTL,网站后台采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NAEJz.html" rel="bookmark" class="title">农产品电商拥有万亿规模的潜在市场</a>
					<div>
						[导读] 农产品电商拥有万亿规模的潜在市场,但将线下的巨大市场搬到线上却依旧困难重重. 文/林文龙 9月4日-5日,&quot;2014品牌农业发展国际研讨会&quot;在北京举行;同期,&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvBGdb.html" rel="bookmark" class="title">基于云计算电子政务公共平台国标编制正式启动</a>
					<div>
						7月1日消息,近日基于云计算http://www.aliyun.com/zixun/aggregation/14297.html&quot;&gt;电子政务公共平台国家标准编制工作正式启动,包括总体标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWLQ0p.html" rel="bookmark" class="title">Alluxio 1&period;5&period;0开源发布版的技术亮点</a>
					<div>
						开源Alluxio 1.5.0已经发布了大量的新功能和改进.Alluxio允许任何应用程序以内存级速度且透明地从任何存储系统访问数据.与生态系统中的其他技术的互操作性是实现这一目标的重要一步,在1.5 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
